## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# ElemLiteralResult Class Reference

Inheritance diagram for ElemLiteralResult:

[legend]
Collaboration diagram for ElemLiteralResult:

[legend]
List of all members.

## Public Member Functions

- ElemLiteralResult (StylesheetConstructionContext &constructionContext, Stylesheet &stylesheetTree, const XalanDOMChar *name, const AttributeListType &atts, int lineNumber, int columnNumber)
    Construct an object corresponding to a literal result element.
- virtual ~ElemLiteralResult ()
- virtual const XalanDOMString & getElementName () const
    Get a string for the name of the element.
- virtual void postConstruction (StylesheetConstructionContext &constructionContext, const NamespacesHandler &theParentHandler)
    Called after construction is completed.
- virtual bool isAttrOK (const XalanDOMChar *attrName, const AttributeListType &atts, int which, StylesheetConstructionContext &constructionContext) const
    See if this is a xmlns attribute or in a non-XSLT.
- virtual const ElemTemplateElement * startElement (StylesheetExecutionContext &executionContext) const
    Completes "pre-processing" before any sub-elements are invoked (i.e.
- virtual void endElement (StylesheetExecutionContext &executionContext) const
    Completes "post-processing" afer any sub-elements are invoked (i.e.
- virtual void evaluateAVTs (StylesheetExecutionContext &executionContext) const
    Evalute the AVTs for this element.

## Protected Member Functions

- void init (StylesheetConstructionContext &constructionContext, Stylesheet &stylesheetTree, const XalanDOMChar *name, const AttributeListType &atts)
    Do common initialization.
- ElemLiteralResult (StylesheetConstructionContext &constructionContext, Stylesheet &stylesheetTree, const XalanDOMChar *name, const AttributeListType &atts, int lineNumber, int columnNumber, int xslToken)
    Construct an object corresponding to a literal result element.
- virtual void namespacesPostConstruction (StylesheetConstructionContext &constructionContext, const NamespacesHandler &theParentHandler, NamespacesHandler &theHandler)
    Called after construction is completed.

## Constructor & Destructor Documentation

ElemLiteralResult::ElemLiteralResult | ( | StylesheetConstructionContext & | constructionContext,
|  | Stylesheet & | stylesheetTree,
|  | const XalanDOMChar * | name,
|  | const AttributeListType & | atts,
|  | int | lineNumber,
|  | int | columnNumber
| ) |

Construct an object corresponding to a literal result element.

Parameters:

  constructionContext | context for construction of object
  stylesheetTree | stylesheet containing element
  name | name of element
  atts | list of attributes for element
  lineNumber | line number in document
  columnNumber | column number in document

virtual ElemLiteralResult::~ElemLiteralResult | ( |  | ) | `[virtual]`

ElemLiteralResult::ElemLiteralResult | ( | StylesheetConstructionContext & | constructionContext,
|  | Stylesheet & | stylesheetTree,
|  | const XalanDOMChar * | name,
|  | const AttributeListType & | atts,
|  | int | lineNumber,
|  | int | columnNumber,
|  | int | xslToken
| ) | `[protected]`

Construct an object corresponding to a literal result element.

Parameters:

  constructionContext | context for construction of object
  stylesheetTree | stylesheet containing element
  name | name of element
  atts | list of attributes for element
  lineNumber | line number in document
  columnNumber | column number in document
  xslToken | The xsl token value for this class

## Member Function Documentation

virtual void ElemLiteralResult::endElement | ( | StylesheetExecutionContext & | executionContext | ) | const`[virtual]`

Completes "post-processing" afer any sub-elements are invoked (i.e.

children, attribute sets and templates). If there are no sub-elements it does nothing

Parameters:

  executionContext | context to execute this element

Reimplemented from ElemUse.

Reimplemented in ElemExtensionCall.

virtual void ElemLiteralResult::evaluateAVTs | ( | StylesheetExecutionContext & | executionContext | ) | const`[virtual]`

Evalute the AVTs for this element.

Parameters:

  executionContext | context to execute this element

Reimplemented from ElemUse.

virtual const XalanDOMString& ElemLiteralResult::getElementName | ( |  | ) | const`[virtual]`

Get a string for the name of the element.

Useful for debugging purposes, and error reporting.

Returns:
  A string containing the name of the element.

Reimplemented from ElemUse.

void ElemLiteralResult::init | ( | StylesheetConstructionContext & | constructionContext,
|  | Stylesheet & | stylesheetTree,
|  | const XalanDOMChar * | name,
|  | const AttributeListType & | atts
| ) | `[protected]`

Do common initialization.

Parameters:

  constructionContext | The current onstruction context.
  stylesheetTree | The stylesheet containing the element.
  name | The name of the element.
  atts | The list of attributes for the element.

virtual bool ElemLiteralResult::isAttrOK | ( | const XalanDOMChar * | attrName,
|  | const AttributeListType & | atts,
|  | int | which,
|  | StylesheetConstructionContext & | constructionContext
| ) | const`[virtual]`

See if this is a xmlns attribute or in a non-XSLT.

Parameters:

  attrName | qualified name of attribute
  atts | attribute list where the element comes from (not used at this time)
  which | index into the attribute list (not used at this time)
  constructionContext | The current construction context

Returns:
  true if this is a namespace name

Reimplemented from ElemTemplateElement.

virtual void ElemLiteralResult::namespacesPostConstruction | ( | StylesheetConstructionContext & | constructionContext,
|  | const NamespacesHandler & | theParentHandler,
|  | NamespacesHandler & | theHandler
| ) | `[protected, virtual]`

| Called after construction is completed. This is a hook for deriving classes to handle post-construction with the instances HamespaceHandler instance, which is otherwise only available through a const accessor. Reimplemented from ElemTemplateElement.

virtual void ElemLiteralResult::postConstruction | ( | StylesheetConstructionContext & | constructionContext,
|  | const NamespacesHandler & | theParentHandler
| ) | `[virtual]`

| Called after construction is completed. Reimplemented from ElemUse.

virtual const ElemTemplateElement* ElemLiteralResult::startElement | ( | StylesheetExecutionContext & | executionContext | ) | const`[virtual]`

Completes "pre-processing" before any sub-elements are invoked (i.e.

children, attribute sets and templates). If there are no sub-elements it executes the primary function of the element.

Parameters:

  executionContext | context to execute this element

Reimplemented from ElemUse.

Reimplemented in ElemExtensionCall.

The documentation for this class was generated from the following file:

- ElemLiteralResult.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.